import java.io.*;
import java.util.*;

// Задача "Количество делителей"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

// Решение, использующее рекурсивный подсчет числа делителей.

public class divcount_mb2 {
    static long n;
    static int[] primes;
    static int primeCount;

    static {
        boolean[] ip = new boolean[1000];
        Arrays.fill(ip, true);

        primeCount = 0;
        for (int i = 2; i < 1000; i++) {
            if (ip[i]) {
                primeCount++;
                for (int j = i * i; j < 1000; j += i) {
                    ip[j] = false;
                }
            }    
        }
        primes = new int[primeCount];
        for (int i = 2, j = 0; i < 1000; i++) {
            if (ip[i]) {
                primes[j++] = i;
            }
        }
    }

    static int count = 0;

    static void go(long rest, int index) {
        if (index == primeCount) {
            count++;
        } else {
            go(rest, index + 1);
            while (rest > 0 && rest % primes[index] == 0) {
                rest /= primes[index];    
                go(rest, index + 1);
            }
        }
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(new File("divcount.in"));
        n = in.nextLong();
        in.close();

        go(n, 0);

        PrintWriter out = new PrintWriter("divcount.out");
        out.println(count);
        out.close();
    }
}